@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --primary-color: #0e6dda;
    --background-color: #2f90fe;
    --dark-color: #151515;
}

html{
    font-size: 62.5%;
    font-family: 'Poppins', sans-serif;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/*UTILIDADES*/

.container{
    max-width: 185rem;
    margin: 0 auto;
}

/*HEADER*/

.container-hero{
    background-color: var(--background-color);
}

.hero{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;

}

.customer-support{
    display: flex;
    align-items: center;
    gap: 2rem;
}

.customer-support{
    font-size: 2.3rem;
}

.content-customer-support{
    display: flex;
    flex-direction: column;
    line-height: 1.2;
}

.container-logo{
    display: flex;
    align-items: center;
    gap: 5rem;
}

.container-logo{
    font-size: 2rem;
    gap: 0rem;
}

.container-logo a{
    text-decoration: none;
    color: #000;
    font-size: 3rem;
    text-transform: uppercase;
    letter-spacing: -1px;
}

.container-user{
    display: flex;
    gap: 1rem;
    cursor: pointer;
}

.container-user .fa-user-tie{
    font-size: 3rem;
    color: var(--dark-color);
    padding-right: 5.0rem;
    border-right: 2px solid #e2e2e2;
}

.container-user .fa-cart-arrow-down{
    font-size: 3rem;
    color: var(--dark-color);
    padding-left: 1rem;
}

.content-shopping-cart{
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*NAVBAR*/

.container-navbar{
    background-color: var(--primary-color);
}

.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0;
}

.navbar .fa-bars{
    display: none;
}

.menu{
    display: flex;
    gap: 2rem;
}

.menu li{
    list-style: none;
}

.menu a{
    text-decoration: none;
    font-size: 1.6rem;
    color: var(--dark-color);
    font-weight: 600;
    text-transform: uppercase;
    position: relative;
}

.menu a::after{
    content: '';
    width: 1.5rem;
    height: 1px;
    background-color: #fff;
    position: absolute;
    bottom: -3px;
    left: 50%;
    transform: translate(-50%, 50%);
    opacity: 0;
    transition: all .3s ease;
}

.menu a:hover::after{
    opacity: 1;
}

.menu a:hover{
    color: #fff;
}

.search-form{
    position: relative;
    display: flex;
    align-items: center;
    border: 2px solid #fff;
    border-radius: 2rem;
    background-color: #fff;
    height: 4.4rem;
    overflow: hidden;
}

.search-form input{
    outline: none;
    font-family: inherit;
    border: none;
    width: 25rem;
    font-size: 1.6rem;    
    padding: 0 2rem;
    color: var(--dark-color);
    cursor: text;
}

.search-form input::-webkit-search-cancel-button{
    appearance: none;
}

.search-form .btn-search{
    border: none;
    background-color: var(--primary-color);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    padding: 1rem;
}

.btn-search i{
    font-size: 2rem;
    color: var(--dark-color);
    cursor: pointer;
}

/*BANNER*/

.banner{
    background-image: linear-gradient(100deg, #0000008f, #00000012), url('Img/Banner1.jpg');
    height: 60rem;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


.content-banner{
    max-width: 90rem;
    margin: 15 auto;
    padding: 20rem 6rem;
    text-align: left;
/*Posible problema en moviles por el padding 6rem, antes era 0 al igual que margin 0 auto*/
}

.content-banner p{
    color: var(--primary-color);
    font-size: 1.8rem;
    margin-bottom: 1rem;
    font-weight: 500;
}

.content-banner h2{
    color: #fff;
    font-size: 3.8rem;
    font-weight: 500;
    line-height: 1.2;
}

.content-banner a{
    margin-top: 2rem;
    text-decoration: none;
    color: #fff;
    background-color: var(--primary-color);
    display: inline-block;
    padding: 1rem 3rem;
    text-transform: uppercase;
    border-radius: 3rem;
    font-size: 1.2rem;
}

/*MAIN CONTENT*/

.main-content{
    background-color: var(--background-color);
}

/* FEATURES */

.container-features{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    padding: 3rem 1rem;
}

.card-feature{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;

    background-color: #fff;
    border-radius: 2rem;    
    padding: 1rem 0;
    cursor: pointer;
 }

 .card-feature{
    font-size: 2.7rem;
    color: var(--primary-color);
 }

 .feature-content{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
 }

 .feature-content span{
    font-weight: 700;
    font-size: 1.2rem;
    color: var(--dark-color)
 }

 .feature-content p{
    color: #777;
    font-weight: 500;

 }

 /* CATEGORIES */

 .top-categories{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-bottom: 3rem;
 }

 .container-categories{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 3rem;
 }

 .card-category{
    height: 20rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 2rem;
    gap: 2rem
    ;
 }

 .category-espe1{
    background-image: linear-gradient(#00000080, #00000080), url('Img/Keyboard.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
 }

 .category-espe2{
    background-image: linear-gradient(#00000080, #00000080), url('Img/Headset.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
 }

 .cateogory-espe3{
    background-image: linear-gradient(#00000080, #00000080), url('Img/Mouse.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

 }